Browse Source

Add testresources / testscenarios to requirements.txt

oslo.db is consumed by the test suites of downstream libraries
as a test dependency; they make use of the oslo_db.sqlalchemy.test_fixtures
module which imports testresources and testscenarios, therefore
these are normal requirements of oslo.db; they are not limited
to test requirements.

Change-Id: I240fbc28ddf238614ff37e742a1415a5566bcd2d
Closes-bug: #1756352
Mike Bayer 1 year ago
parent
commit
acd1ceb699
2 changed files with 4 additions and 2 deletions
  1. 4
    0
      requirements.txt
  2. 0
    2
      test-requirements.txt

+ 4
- 0
requirements.txt View File

@@ -12,3 +12,7 @@ SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
12 12
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
13 13
 stevedore>=1.20.0 # Apache-2.0
14 14
 six>=1.10.0 # MIT
15
+# these are used by downstream libraries that require
16
+# oslo.db as one of their test requirements - do not remove!
17
+testresources>=2.0.0 # Apache-2.0/BSD
18
+testscenarios>=0.4 # Apache-2.0/BSD

+ 0
- 2
test-requirements.txt View File

@@ -13,8 +13,6 @@ testrepository>=0.0.18 # Apache-2.0/BSD
13 13
 testtools>=2.2.0 # MIT
14 14
 os-testr>=1.0.0 # Apache-2.0
15 15
 bandit>=1.1.0 # Apache-2.0
16
-testresources>=2.0.0 # Apache-2.0/BSD
17
-testscenarios>=0.4 # Apache-2.0/BSD
18 16
 pifpaf>=0.10.0 # Apache-2.0
19 17
 PyMySQL>=0.7.6 # MIT License
20 18
 psycopg2>=2.6.2 # LGPL/ZPL

Loading…
Cancel
Save